# Get Insurances List

## /insurance/?perPage=10

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/insurance`

This endpoint allows you to retrieve a list of insurance premiums available for a user.

#### Query Parameters

| Name    | Type   | Description                                                                                  |
| ------- | ------ | -------------------------------------------------------------------------------------------- |
| status  | String | Status of insurance purchase. Must be one of ***confirmed***, ***pending*** or ***failed***. |
| perPage | String | Specify how many records will be included in a single response. Defaults to 100.             |
| page    | String | Specify what page will be included in a single response. Defaults to 1.                      |

#### Headers

| Name          | Type   | Description                      |
| ------------- | ------ | -------------------------------- |
| Authorization | String | Set value to `Bearer SECRET_KEY` |
| Content-Type  | String |                                  |

{% tabs %}
{% tab title="200: OK Insurances retrieved successfully" %}

```javascript
{
    "status": true,
    "message": "Insurances retrieved successfully",
    "data": {
        "insurances": [
            {
                "amount": 600,
                "claim": "",
                "currency": "NGN",
                "metadata": {
                    "platform": "octamile",
                    "reference": "ild52fsgkfs8uu3gr736ikl2fe9s93jn"
                },
                "parcel": "PC-09857312356",
                "partner_charge": 500,
                "shipment": "SH-02314736509",
                "status": "pending",
                "user": "USER-27450202164",
                "value": 100000,
                "insurance_id": "IN-70732333028",
                "created_at": "2022-11-22T02:16:01.859Z",
                "updated_at": "2022-11-22T02:16:01.859Z",
                "__v": 0
            }
        ],
        "pagination": {
            "page": 1,
            "perPage": 10,
            "prevPage": null,
            "nextPage": null,
            "currentPage": 1,
            "total": 1,
            "pageCount": 1,
            "pagingCounter": 1,
            "hasPrevPage": false,
            "hasNextPage": false
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/insurance/get-insurances-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
